## org.eclipse.wst.wsdl.binding.mime
Interface MIMEFactory

    public interface MIMEFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `MIMEPackage`

Field Summary
`static MIMEFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`MIMEContent` `createMIMEContent()` Returns a new object of class 'Content'
`MIMEMimeXml` `createMIMEMimeXml()` Returns a new object of class 'Mime Xml'
`MIMEMultipartRelated` `createMIMEMultipartRelated()` Returns a new object of class 'Multipart Related'
`MIMEPart` `createMIMEPart()` Returns a new object of class 'Part'
`MIMEPackage` `getMIMEPackage()` Returns the package supported by this factory

Field Detail

### eINSTANCE

    static final MIMEFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createMIMEContent

    MIMEContent createMIMEContent()

  Returns a new object of class 'Content'.

  Returns:
    a new object of class 'Content'.

### createMIMEPart

    MIMEPart createMIMEPart()

  Returns a new object of class 'Part'.

  Returns:
    a new object of class 'Part'.

### createMIMEMultipartRelated

    MIMEMultipartRelated createMIMEMultipartRelated()

  Returns a new object of class 'Multipart Related'.

  Returns:
    a new object of class 'Multipart Related'.

### createMIMEMimeXml

    MIMEMimeXml createMIMEMimeXml()

  Returns a new object of class 'Mime Xml'.

  Returns:
    a new object of class 'Mime Xml'.

### getMIMEPackage

    MIMEPackage getMIMEPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.